org.bouncycastle.asn1.bc

## Class ObjectStore

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.bc.ObjectStore

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class ObjectStore
      extends ASN1Object

       ObjectStore ::= SEQUENCE {
           CHOICE {
                encryptedObjectStoreData EncryptedObjectStoreData,
                objectStoreData ObjectStoreData
           }
           integrityCheck ObjectStoreIntegrityCheck
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectStore(EncryptedObjectStoreData encryptedObjectStoreData, ObjectStoreIntegrityCheck integrityCheck)`
    `ObjectStore(ObjectStoreData objectStoreData, ObjectStoreIntegrityCheck integrityCheck)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectStore` | `getInstance(java.lang.Object o)`
    `ObjectStoreIntegrityCheck` | `getIntegrityCheck()`
    `ASN1Encodable` | `getStoreData()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectStore

          public ObjectStore(ObjectStoreData objectStoreData,
                             ObjectStoreIntegrityCheck integrityCheck)

    - #### ObjectStore

          public ObjectStore(EncryptedObjectStoreData encryptedObjectStoreData,
                             ObjectStoreIntegrityCheck integrityCheck)

  - ### Method Detail

    - #### getInstance

          public static ObjectStore getInstance(java.lang.Object o)

    - #### getIntegrityCheck

          public ObjectStoreIntegrityCheck getIntegrityCheck()

    - #### getStoreData

          public ASN1Encodable getStoreData()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.